openSUSE Security Update : nodejs8 (openSUSE-2019-1907)

Medium Nessus Plugin ID 127999

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for nodejs8 fixes the following issues :

Security issue fixed :

- CVE-2019-13173: Fixed a potential file overwrite via hardlink in fstream.DirWriter() (bsc#1140290).

Non-security issue fixed :

- Backported fixes for OpenSSL 1.1.1 from nodejs8 (bsc#1134209).

This update was imported from the SUSE:SLE-15:Update update project.

Solution

Update the affected nodejs8 packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1134209

https://bugzilla.opensuse.org/show_bug.cgi?id=1140290

Plugin Details

Severity: Medium

ID: 127999

File Name: openSUSE-2019-1907.nasl

Version: 1.2

Type: local

Agent: unix

Published: 2019/08/20

Updated: 2020/01/02

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.4

Temporal Score: 4.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nodejs8, p-cpe:/a:novell:opensuse:nodejs8-debuginfo, p-cpe:/a:novell:opensuse:nodejs8-debugsource, p-cpe:/a:novell:opensuse:nodejs8-devel, p-cpe:/a:novell:opensuse:npm8, cpe:/o:novell:opensuse:15.0, cpe:/o:novell:opensuse:15.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2019/08/15

Vulnerability Publication Date: 2019/07/02

Reference Information

CVE: CVE-2019-13173